#pragma once

#include <wrl.h>
#include <D3Dcommon.h>

#include <filesystem>

using Path = std::filesystem::path;

class DirectXShaderProgram
{
public:
    DirectXShaderProgram(const Path& vertShaderPath, const Path& pixelShaderPath);

    ID3DBlob* getVertexShader() const;
    ID3DBlob* getPixelShader() const;
private:
    Microsoft::WRL::ComPtr<ID3DBlob> mVertexShader;
    Microsoft::WRL::ComPtr<ID3DBlob> mPixelShader;
};